import matplotlib.pyplot as plt
import numpy as np


feature = "o_NumberOfPixels"  # what feature to create the heatmap filters for
MAX = 500  # maximum value of the heatmap
MIN = 0  # minimum value of the heatmap
Resolution = 80  # resolution of the heat map, e.g., if = 80, the color palett will be divided intp 80 steps
colorMap = (
    plt.cm.YlOrRd
)  # the color map to use from https://matplotlib.org/stable/tutorials/colors/colormaps.html
reverse = False  # reverse the color map
if reverse:
    colorMap = colorMap.reversed()


def normalize(val):
    return val / MAX


def rgb_to_hex(r, g, b):
    return "#{:02x}{:02x}{:02x}".format(r, g, b)


step = (MAX - MIN) / Resolution

for i in np.arange(MIN, MAX, step):
    color = colorMap(normalize(i))

    print(
        f"rgb({round(color[0]*255)},{round(color[1]*255)},{round(color[2]*255)}) {feature}({i}-{i+step}): inrange({i},{feature},{i+step})"
    )
